### Method

# Adw ViewStack set_transition_duration

since: 1.7

#### Declaration [src]

    void
    adw_view_stack_set_transition_duration (
      AdwViewStack* self,
      guint duration
    )

#### Description [src]

Sets the transition animation duration for `self`.

Only used when `AdwViewStack:enable-transitions` is set to `TRUE`.

Available since: 1.7

Sets property | `Adw.ViewStack:transition-duration`

#### Parameters

`duration`

  Type: `guint`

  The new duration, in milliseconds.